aboutsummaryrefslogtreecommitdiffstats
path: root/main/a2ps/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-13 13:54:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-13 13:54:21 +0000
commit7705d03c2dca95282aed1cc3ad72bbffedd32ad3 (patch)
tree19200589034e32c1122d3272e5aa73abb84a0055 /main/a2ps/APKBUILD
parentfc628669e5452318f3ea52885d31b03173fa79a5 (diff)
downloadaports-7705d03c2dca95282aed1cc3ad72bbffedd32ad3.tar.gz
aports-7705d03c2dca95282aed1cc3ad72bbffedd32ad3.tar.bz2
aports-7705d03c2dca95282aed1cc3ad72bbffedd32ad3.tar.xz
main/a2ps: new aport
a2ps is an Any to PostScript filter http://www.gnu.org/software/a2ps/
Diffstat (limited to 'main/a2ps/APKBUILD')
-rw-r--r--main/a2ps/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/main/a2ps/APKBUILD b/main/a2ps/APKBUILD
new file mode 100644
index 0000000000..18409a28d6
--- /dev/null
+++ b/main/a2ps/APKBUILD
@@ -0,0 +1,51 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=a2ps
+pkgver=4.14
+pkgrel=0
+pkgdesc="a2ps is an Any to PostScript filter"
+url="http://www.gnu.org/software/a2ps/"
+license="GPL3"
+depends="ghostscript imagemagick perl"
+makedepends="gperf autoconf automake libtool"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+ $pkgname-4.13c-fnmatch-replacement.patch
+ $pkgname-4.13c-emacs.patch
+ $pkgname-4.13-manpage-chmod.patch
+ $pkgname-$pkgver-check-mempcpy.patch
+ $pkgname-$pkgver-fix-stpcpy-proto.patch
+ "
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in ../*.patch; do
+ msg "Apllying $i"
+ patch -p1 -i $i || return 1
+ done
+ sed -i -e 's/__mempcpy/mempcpy/g' lib/strftime.c src/regex.c \
+ || return 1
+ libtoolize --force --copy || return 1
+ autoreconf -I m4 || return 1
+}
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc/a2ps \
+ --includedir=/usr/include \
+ --disable-nls || return 1
+ make
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ sed -i "s:^countdictstack: \0:" "$pkgdir"/usr/bin/psset || return 1
+}
+md5sums="781ac3d9b213fa3e1ed0d79f986dc8c7 a2ps-4.14.tar.gz
+93011b58e9f20a7fafa31287a51884a4 a2ps-4.13c-fnmatch-replacement.patch
+2e493d0bc00d71eb3e8a9b6febc52b69 a2ps-4.13c-emacs.patch
+09cc5ed4d3d8ff1b2103e519191e8286 a2ps-4.13-manpage-chmod.patch
+42aa39b74f6da8cf6e94185c4fc3e601 a2ps-4.14-check-mempcpy.patch
+4b4fbc19a6b79fa64df7e26945fcdcf9 a2ps-4.14-fix-stpcpy-proto.patch"